#include <stdio.h>
#include <math.h>
double p,q,r,L,R,a,b,c,s,brojac=0;
int main(){
	scanf("%lf%lf%lf%lf%lf",&p,&q,&r,&L,&R);
	for(int i=L;i<=R;i++){
		a=ceil(i/p);
		
		b=ceil(i/q);
	
		c=ceil(i/r);
		
		s=a+b+c;
		if(s<=i)brojac++;
	}
	printf("%lf",brojac);
	return 0;	
}